Bug 251928 - www/rubygem-nanoc: upgrade to 4.11.19
Summary: www/rubygem-nanoc: upgrade to 4.11.19
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 252138
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-18 00:53 UTC by Stéphane D'Alu
Modified: 2021-01-10 14:36 UTC (History)
2 users (show)

See Also:


Attachments
set of package for new version of nanoc (2.91 KB, application/x-compressed-tar)
2020-12-18 00:53 UTC, Stéphane D'Alu
no flags Details
nanoc.diff (1.73 KB, patch)
2020-12-25 22:40 UTC, Stéphane D'Alu
no flags Details | Diff
nanoc.diff (1.73 KB, patch)
2021-01-01 22:46 UTC, Stéphane D'Alu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stéphane D'Alu 2020-12-18 00:53:27 UTC
Created attachment 220680 [details]
set of package for new version of nanoc

New version of Nanoc is available.

The archive in attachement provides
* an upgrade for
www/rubygem-nanoc

* the necessary new ports
devel/rubygem-ddmemoize
devel/rubygem-ddmetrics
devel/rubygem-slow_enumerator_tools
devel/rubygem-json_schema
www/rubygem-nanoc-checking
www/rubygem-nanoc-cli
www/rubygem-nanoc-core
www/rubygem-nanoc-deploying
Comment 1 Fernando Apesteguía freebsd_committer 2020-12-21 17:12:53 UTC
Thanks for the patch.

Updates to ports are preferred in diff format. For new ports shar files are the best option.

This update requires several new ports. It would be a good idea to file a PR for every one of them and make this PR depend on those.

Cheers.
Comment 2 Stéphane D'Alu 2020-12-25 22:40:07 UTC
Created attachment 220923 [details]
nanoc.diff
Comment 3 Stéphane D'Alu 2021-01-01 22:46:17 UTC
Created attachment 221183 [details]
nanoc.diff
Comment 4 commit-hook freebsd_committer 2021-01-10 14:34:10 UTC
A commit references this bug:

Author: pi
Date: Sun Jan 10 14:33:57 UTC 2021
New revision: 561076
URL: https://svnweb.freebsd.org/changeset/ports/561076

Log:
  www/rubygem-nanoc: update 4.7.14 -> 4.11.19

  PR:		251928
  Submitted by:	St?phane D'Alu <sdalu@sdalu.com>
  Approved by:	zi (maintainer timeout)
  Relnotes:	https://nanoc.ws/release-notes/

Changes:
  head/www/rubygem-nanoc/Makefile
  head/www/rubygem-nanoc/distinfo
Comment 5 Kurt Jaeger freebsd_committer 2021-01-10 14:36:40 UTC
Thanks, committed. One suggestion for future updates: If possible,
note the depdendency of PRs using the "Depends on" field, so that
the sequence of PRs is easier to understand 8-}